[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.CheckBandsSizeAndVisibility

Updates the size and visibility for TCtrlBand instances defined in the control bar.

## Declaration

Source position: extctrls.pp line 1621

`protected procedure TCustomControlBar.CheckBandsSizeAndVisibility;`

## Description

Calls InitializeBand (when needed) for a TCtrlBand with a visibility different than the value in the control bar. Calls SortVisibleBands when a TCtrlBand is hidden. Calls NormalizeRows to display TCtrlBand instances in the order defined by their Bottom property. Recalculates the positions and dimensions for visible TCtrlBand instances, including the space reserved for the Grabber bar and borders.